Skip to main content
GET
/
v2
/
status_page_incidents
/
{status_page_incident_id}
Show
curl --request GET \
  --url https://api.incident.io/v2/status_page_incidents/{status_page_incident_id} \
  --header 'Authorization: Bearer <token>'
{
  "status_page_incident": {
    "component_impacts": [
      {
        "component_id": "01GW7P4ES31Q6V1ZQH321T0GJN",
        "component_status": "degraded_performance",
        "end_at": "2021-08-17T13:28:57.801578Z",
        "start_at": "2021-08-17T13:28:57.801578Z"
      }
    ],
    "id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "incident_status": "investigating",
    "name": "Elevated API latency",
    "published_at": "2021-08-17T13:28:57.801578Z",
    "status_page_id": "01FCNDV6P870EA6S7TK1DSYDG0",
    "updates": [
      {
        "component_statuses": [
          {
            "component_id": "01FCNDV6P870EA6S7TK1DSYDG2",
            "component_status": "operational"
          }
        ],
        "id": "01FCNDV6P870EA6S7TK1DSYDG0",
        "incident_status": "investigating",
        "message": "abc123",
        "published_at": "2021-08-17T13:28:57.801578Z",
        "status_page_incident_id": "01FCNDV6P870EA6S7TK1DSYDG1"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Path Parameters

status_page_incident_id
string
required

ID of the status page incident

Example:

"01FCNDV6P870EA6S7TK1DSYDG1"

Response

200 - application/json

OK response.

status_page_incident
object